Logging is quite broken

Bug #439268 reported by Loïc Minier on 2009-09-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xsplash
Medium
Cody Russell
xsplash (Ubuntu)
Medium
Ken VanDine

Bug Description

Binary package hint: xsplash

Hi

There's no /var/log/gdm/xsplash.log.

xsplash gets an EACCES when trying to create it. This might be due to the weird sticky bit on the /var/log/gdm dir which is root:gdm and ug+rwxt.

I think xsplash should take care to not clobber the log file systematically (perhaps only clobber for the first call "/usr/bin/xsplash --gdm-session --daemon") and should also log pids on each line since there are two processes.

Attaching strace of xsplash startup

Thanks

ProblemType: Bug
Architecture: amd64
Date: Wed Sep 30 12:21:12 2009
DistroRelease: Ubuntu 9.10
Package: xsplash 0.8.1-0ubuntu1
ProcEnviron:
 LANGUAGE=fr_FR:fr:en_GB:en
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: xsplash
Uname: Linux 2.6.31-11-generic x86_64

Related branches

Revision history for this message
Loïc Minier (lool) wrote :
David Barth (dbarth) on 2009-09-30
Changed in xsplash (Ubuntu):
assignee: nobody → Cody Russell (bratsche)
importance: Undecided → Medium
status: New → Triaged
milestone: none → ubuntu-9.10
Cody Russell (bratsche) on 2009-10-02
Changed in xsplash (Ubuntu):
status: Triaged → In Progress
Cody Russell (bratsche) on 2009-10-05
Changed in xsplash (Ubuntu):
status: In Progress → Fix Committed
Changed in xsplash:
importance: Undecided → Medium
assignee: nobody → Cody Russell (bratsche)
status: New → Fix Committed
Changed in xsplash (Ubuntu):
status: Fix Committed → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xsplash - 0.8.3-0ubuntu1

---------------
xsplash (0.8.3-0ubuntu1) karmic; urgency=low

  * New upstream version (LP: #446658)
    - watch for monitors-changed signal (LP: #413348)
    - set a blank cursor on the cow foreign window (LP: #432179)
    - setgid fixes (LP: #439268)
    - 16bpp depth fixes (LP: #423632)
  * debian/patches/90_correctly-setuid.patch
    - Removed, merged upstream

 -- Ken VanDine <email address hidden> Fri, 09 Oct 2009 08:16:49 +0200

Changed in xsplash (Ubuntu):
status: New → Fix Released
Revision history for this message
Loïc Minier (lool) wrote :

This bug is about logging being broken, not setgid:

    - setgid fixes (LP: #439268)

Changed in xsplash (Ubuntu):
status: Fix Released → Triaged
Revision history for this message
Cody Russell (bratsche) wrote :

It seems to be fixed though. Are you sure it's not?

Revision history for this message
Loïc Minier (lool) wrote :

I didn't checked whether fixed or not; I only reopened based on the erroneous closing in the changelog entry

Revision history for this message
Cody Russell (bratsche) wrote :

Fair enough. I'm going to close this since it appears to be fixed. Thanks.

Changed in xsplash (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Loïc Minier (lool) wrote :

I only see a single "Started" log in gdm/xsplash.log but I understand two xsplash are started during boot; where's the other log?

Revision history for this message
Robert Collins (lifeless) wrote : Re: [Bug 439268] Re: Logging is quite broken

On Sat, 2009-10-10 at 13:39 +0000, Loïc Minier wrote:
> I only see a single "Started" log in gdm/xsplash.log but I understand
> two xsplash are started during boot; where's the other log?

We changed the upstream code to log to xsplash-PID.log, IIRC. This makes
it easy to cross reference bootchart data.

Previously every xsplash nuked the prior log.

-Rob

Revision history for this message
Loïc Minier (lool) wrote :

How are the logs cleaned up?

I only see a xsplash.log right now; my original suggestion was to have the second xsplash append to the log and both xsplash log lines with their pid in them.

Revision history for this message
Robert Collins (lifeless) wrote :

On Sun, 2009-10-11 at 20:42 +0000, Loïc Minier wrote:
> How are the logs cleaned up?
>
> I only see a xsplash.log right now; my original suggestion was to have
> the second xsplash append to the log and both xsplash log lines with
> their pid in them.

They aren't cleaned up at the moment; we probably want to do that :).
Note that even using a PID prefix in the lines would still require some
cleanup as the log would otherwise get very long.

-Rob

Revision history for this message
Cody Russell (bratsche) wrote :

I haven't actually merged that into master yet. I was thinking to instead write xsplash-gdm.log or xsplash-session.log, but doing it that way would require parsing command-line parameters before determining what the log filename is.

Revision history for this message
Cody Russell (bratsche) wrote :

I think I overlooked Loïc's original suggestion to append the log. That would be easy enough to do as well. I don't have a preference, I'll implement whichever solution you guys think is best.

Revision history for this message
Loïc Minier (lool) wrote :

@Rob: I was suggesting keeping the truncation for the first xsplash and using append for the second, the log wouldn't grow very long since it would clear at each boot.

@Cody: I like xsplash-gdm.log + xsplash-session.log and don't think it's a big deal if we don't have logging until parsing cmdline args.

Revision history for this message
Robert Collins (lifeless) wrote :

On Sun, 2009-10-11 at 21:33 +0000, Cody Russell wrote:
> I think I overlooked Loïc's original suggestion to append the log. That
> would be easy enough to do as well. I don't have a preference, I'll
> implement whichever solution you guys think is best.

I've got no preference; as long as we can gather useful timing/debugging
data reliably, I'm happy.

-Rob

Revision history for this message
Cody Russell (bratsche) wrote :

Actually, I could do it even before parsing command line parameters if I name it "xsplash-%s.log" with pwd->pw_name.

Revision history for this message
Cody Russell (bratsche) wrote :

I realized that wouldn't actually work since it always runs as user 'gdm'. :)

Anyway, just pushed revno 85 to bzr. It will now create xsplash-user.log or xsplash-gdm.log

Changed in xsplash (Ubuntu):
status: Fix Released → In Progress
assignee: Cody Russell (bratsche) → Ken VanDine (ken-vandine)
Revision history for this message
Ken VanDine (ken-vandine) wrote :

Packaging is pushed to lp:~ubuntu-desktop/xsplash/ubuntu

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xsplash - 0.8.4-0ubuntu1

---------------
xsplash (0.8.4-0ubuntu1) karmic; urgency=low

  * New upstream version
    - Fix resolution setting to match desktop session after gdm (LP: #413348)
    - Fix top panel appearing above over xsplash (LP: #447084)
    - Fix broken logging (LP: #439268)

 -- Ken VanDine <email address hidden> Thu, 15 Oct 2009 13:36:24 -0400

Changed in xsplash (Ubuntu):
status: In Progress → Fix Released
Cody Russell (bratsche) on 2009-10-16
Changed in xsplash:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers